Get document collection details
curl --request GET \
--url https://prod.truv.com/v1/documents/collections/{collection_id}/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/documents/collections/{collection_id}/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/documents/collections/{collection_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collection_id": "a1b2c3d4e5f6478899aabbccddeeff00",
"uploaded_files": [
{
"file_id": "f1234567890abcdef1234567890abcde",
"filename": "paystub.pdf",
"mime_type": "application/pdf",
"status": "validated",
"validations": {
"is_viable_size": true,
"is_supported_type": true,
"is_accessible": true,
"is_valid": true,
"is_readable": true,
"is_unique": true
},
"user_id": "a1b2c3d4e5f6478899aabbccddeeff00",
"external_user_id": "ext_user_789"
}
],
"documents": [
{
"document_id": "d0c1234567890abcdef1234567890abc",
"file_id": "f1234567890abcdef1234567890abcde",
"document_type": "PAYSTUB",
"status": "successful",
"start_page": 1,
"end_page": 2,
"document_subtype": null,
"first_name": "John",
"last_name": "Doe",
"user_id": "a1b2c3d4e5f6478899aabbccddeeff00",
"external_user_id": "ext_user_789"
}
],
"users": [
{
"id": "a1b2c3d4e5f6478899aabbccddeeff00",
"external_user_id": "ext_user_789",
"first_name": "John",
"last_name": "Doe"
}
],
"created_at": "2025-11-11T10:00:00Z",
"updated_at": "2025-11-11T10:05:00Z"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}{
"detail": "Not Found."
}Document Collections
Get document collection details
The endpoint returns detailed information about a specific collection, including all uploaded files and recognized documents with their categorization results.
GET
/
v1
/
documents
/
collections
/
{collection_id}
/
Get document collection details
Authorizations
Client ID
Client Access Key
Path Parameters
Collection ID
Response
Example:
"a1b2c3d4e5f6478899aabbccddeeff00"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"2025-11-11T10:00:00Z"
Example:
"2025-11-11T10:05:00Z"
Was this page helpful?
⌘I